<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['producto']) $producto=$_GET['producto']; else $producto=$_POST['producto'];
if($_GET['clientePropietario']) $clientePropietario=$_GET['clientePropietario']; else $clientePropietario=$_POST['clientePropietario'];

$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEALMACENPRODUCTO#'.$_SESSION['almacen'].';'.$producto.'#'.$clientePropietario;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if(!$resultado[0]['Error']) {
	
	$desplazamientoColumnas=1;
	$cuantosComportamientos=0;
	
	?>
	<p>Descripción:<br />
	<textarea name="descripcion" rows="3" disabled="disabled" class="campo descripcion" id="descripcion"><?php echo $resultado[0]['Descripcion']; ?></textarea>
	</p>
	<table class="tablaFormateada">
	<tr>
		<th>Ubicación</th>
		<?php if($_SESSION['gestionPaletizado']=='S') { ?>
		<th>Palet</th><?php } ?>
        
		<?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI' && $clientePropietario!='PROPIO') { ?>
        <th>Cod. Cli. Prop.</th>
        <th>Nombre Cli. Prop.</th>
        <?php } ?>
        
		<?php
        foreach($_SESSION['comportamientos'] as $comportamiento) {
			if($comportamiento['Activo']) { 
				$cuantosComportamientos++;
				?><th><?php echo $comportamiento['Nombre']; ?></th><?php
            }
		} 
		?>
        <?php if($_SESSION['gestionDepositos']=='S') { ?><th>Información adicional</td><?php } ?>
        
        <th>Stock</th>
        
        <?php if( $_SESSION['mostrarColumnasStockEnProceso'] ) { ?>	 
        <th class="cabecera">En proceso</th>
        <th class="cabecera">Ubicado</th>
        <?php } ?>
        
		<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
        
        <th></th>
        
	</tr>
	<?php
	
	$stock=0;
	$stockEnProceso=0;
	$stockUbicacion=0;
	$cajas=0;
	
	$ubicaciones=arreglaArrayPXMobileProxiumResult($resultado[0]['Ubicaciones']);
	
	
	
	
	//28-12-2022 ordenamos: primero recepcion, despues todas las demas, despues expedicion
	$ubicacionesOrdenadas=array();
	
	foreach($ubicaciones as $ubicacion) if($ubicacion['Ubicacion']==$_SESSION['playas']['PlayaRecepcion']) $ubicacionesOrdenadas[]=$ubicacion;
	foreach($ubicaciones as $ubicacion) if($ubicacion['Ubicacion']!=$_SESSION['playas']['PlayaRecepcion'] && $ubicacion['Ubicacion']!=$_SESSION['playas']['PlayaExpedicion']) $ubicacionesOrdenadas[]=$ubicacion;
	foreach($ubicaciones as $ubicacion) if($ubicacion['Ubicacion']==$_SESSION['playas']['PlayaExpedicion']) $ubicacionesOrdenadas[]=$ubicacion;
	
	
	
	
	foreach($ubicacionesOrdenadas as $ubicacion) {
		foreach(arreglaArrayPXMobileProxiumResult($ubicacion['Contenedores']) as $contenedor) {
			$datos=$contenedor['Datos']['PXMobileProxiumResult'];
			
			if($contenedor['UbicacionAlias']) $mostrarUbicacion=$contenedor['UbicacionAlias']; else $mostrarUbicacion=$contenedor['Ubicacion'];
			?>
			<tr>
				<td width="100"><?php if($_SESSION['parametrosSGA']['BuscarContenedoresUbicacion']=='S') { ?><a href="info-ubicacion-S.php?ubicacion=<?php echo $mostrarUbicacion; ?>" class="mostrarCargando"><?php echo $mostrarUbicacion; ?></a><?php } else echo $mostrarUbicacion; ?></td>
				<?php if($_SESSION['gestionPaletizado']=='S') { ?><td><a href="info-contenedor-S.php?contenedor=<?php echo $contenedor['Contenedor']; ?>" class="mostrarCargando"><?php echo $contenedor['Contenedor']; ?></a></td><?php } ?>
                
                <?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI' && $clientePropietario!='PROPIO') { ?>
				<td><?php echo $contenedor['ClientePropietario']; ?></td>
                <td><?php echo $contenedor['NombreClientePropietario']; ?></td>
                <?php } ?>
                
				
                <?php
				foreach($_SESSION['comportamientos'] as $comportamiento) {
					if($comportamiento['Activo']=='S') {
						?><td><?php
						$cadenaNumerosSerie='';
						$numerosSerie=arreglaArrayPXMobileProxiumResult($contenedor['NumerosSerie']);
						foreach($numerosSerie as $numero) {
							if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
							$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'];
						}
							
						if($numerosSerie && count($numerosSerie)>0 && $comportamiento['Codigo']=='NS') {
								?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
						}
						else foreach($datos as $dato) {
							if($dato['Codigo']==$comportamiento['Codigo']) {
								echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
								break;
							}
						}
						?></td><?php
					}
				}
				?>
				<?php if($_SESSION['gestionDepositos']=='S') { ?><td class="informacionAduanera"><?php echo $contenedor['InformacionAduanera']; ?></td><?php } ?>
                
                <td align="right"><?php echo $contenedor['Stock']; //echo number_format($contenedor['Stock'],0,'','.'); ?></td>
                
				<?php if( $_SESSION['mostrarColumnasStockEnProceso'] ) { ?>	 
                <td align="right"><?php echo $contenedor['StockEnProceso']; //echo number_format($contenedor['StockEnProceso'],0,'','.'); ?></th>
                <td align="right"><?php echo $contenedor['StockUbicacion']; //echo number_format($contenedor['StockUbicacion'],0,'','.'); ?></th>
                <?php } ?>

				<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo $contenedor['Cajas']; //echo number_format($contenedor['Cajas'],2,',','.'); ?></td><?php } ?>
                <td><input type="button" value="Traspasar" class="boton reducido botonTraspasar" palet="<?php echo $contenedor['Contenedor']; ?>"/></td>
                
			</tr>
			<?php
			$stock=$stock+$contenedor['Stock'];
			
			$stockEnProceso=$stockEnProceso+$contenedor['StockEnProceso'];
			$stockUbicacion=$stockUbicacion+$contenedor['StockUbicacion'];
			
			$cajas=$cajas+$contenedor['Cajas'];
		}
	}
	
	if($_SESSION['gestionPaletizado']=='S') $desplazamientoColumnas++;
	if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI' && $clientePropietario!='PROPIO') $desplazamientoColumnas=$desplazamientoColumnas+2;
	
	$colspan=$cuantosComportamientos+$desplazamientoColumnas;
	if($_SESSION['gestionDepositos']=='S') $colspan++;
	
	?>
	<tr>
		<td colspan="<?php echo $colspan; ?>" class="cabeceraTotal" align="right">Total</td>
		<td align="right" class="total"><?php echo $stock; //echo number_format($stock,0,'','.'); ?></td>
        <?php if( $_SESSION['mostrarColumnasStockEnProceso'] ) { ?>	 
        <td align="right" class="total"><?php echo $stockEnProceso; //echo number_format($stockEnProceso,0,'','.'); ?></th>
        <td align="right" class="total"><?php echo $stockUbicacion; //echo number_format($stockUbicacion,0,'','.'); ?></th>
        <?php } ?>
		<?php if($_SESSION['verEnCajas']=='S') { ?>
        <td align="right" class="total"><?php echo $cajas; //echo number_format($cajas,2,',','.'); ?></td>
		<?php } ?>
        <td></td>
	</tr>
	</table>
    
    <div id="popupNumerosSerie" class="popup" style="display:none"></div>
	<div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>
    
    <script>
	
	$(document).ready(function(){
	
		$('.botonTraspasar').on('click',function(){
		
			var palet=$(this).attr('palet');
			var clientePropietario='<?php echo $clientePropietario; ?>';
			var producto='<?php echo $producto; ?>';
			
			$('#popupCargando').show();
			window.location='traspasar-productos.php?procedencia=infoproducto&clientePropietario=<?php echo $clientePropietario; ?>&producto=<?php echo $producto; ?>&contenedorOrigen='+palet;
		
		});
	
		$('.verNumerosSerie').on('click',function(){
			$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-numeros-serie.php' , { 'numeros' : $(this).attr('numeros') , 'ocultarPreparado' : 'si' })
			.done(function(data) {
				$('#popupNumerosSerieContenido').html(data);
				$('#popupNumerosSerie').show();
				$('#popupNumerosSerieContenido').show();
					
				var posicion=$(document).scrollTop();
				$('#popupNumerosSerieContenido').offset({ top: posicion+20 });
			});
		});
	
	});
	
	</script>
<?php
}
else {
	$valores=explode('#',$resultado[0]['Error']);
	?><p class="error">Error: <?php echo $valores[1]; ?></p><?php 
}
?>